makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
com.visagetechnologies.makeupsdk.SDKProvider Class Reference

## Public Member Functions
void | SetSkinToneTargetQuality (SkinToneTargetQuality skinToneTargetQuality)
void | SetLightConditionsUniformityThreshold (float uniformityThreshold)
void | SetLightConditionsBacklightThreshold (float backlightThreshold)
MakeUpEngine | CreateMakeUpEngine (Activity context)
MakeUpEngine | CreateMakeUpEngine () throws Exception
SkinToneAnalyzer | CreateSkinToneAnalyzer (Activity context)
MakeupEngine | CreateMakeupEngine () throws Exception
SkinToneAnalyzer | CreateSkinToneAnalyzer () throws Exception
LightConditionsAnalyzer | CreateLightConditionsAnalyzer () throws Exception
FaceTracker | CreateFaceTracker () throws Exception
FrameProvider | GetFrameProvider () throws Exception
FaceShapeAnalyzer | CreateFaceShapeAnalyzer () throws Exception
EyeShapeAnalyzer | CreateEyeShapeAnalyzer () throws Exception
HairToneAnalyzer | CreateHairToneAnalyzer () throws Exception
EyeToneAnalyzer | CreateEyeToneAnalyzer () throws Exception

## Static Public Member Functions
static SDKProvider | GetProvider (Map< LicenseTypeEnum, String > licenses)
static SDKProvider | GetProvider (Map< LicenseTypeEnum, String > licenses, Activity context)
static SDKProvider | GetProvider (Map< LicenseTypeEnum, String > licenses, Activity context, TrackingQuality trackingQuality)
static SDKProvider | GetProvider (String licensePath)

## Detailed Description

Provides all makeup|SDK modules.

## Member Function Documentation

## ◆ CreateEyeShapeAnalyzer()

EyeShapeAnalyzer com.visagetechnologies.makeupsdk.SDKProvider.CreateEyeShapeAnalyzer | ( |  | ) | throws Exception
| inline

Gets or creates a EyeShapeAnalyzer singleton instance.

Returns
  EyeShapeAnalyzer instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateEyeToneAnalyzer()

EyeToneAnalyzer com.visagetechnologies.makeupsdk.SDKProvider.CreateEyeToneAnalyzer | ( |  | ) | throws Exception
| inline

Gets or creates a EyeToneAnalyzer singleton instance.

Returns
  EyeToneAnalyzer instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateFaceShapeAnalyzer()

FaceShapeAnalyzer com.visagetechnologies.makeupsdk.SDKProvider.CreateFaceShapeAnalyzer | ( |  | ) | throws Exception
| inline

Gets or creates a FaceShapeAnalyzer singleton instance.

Returns
  FaceShapeAnalyzer instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateFaceTracker()

FaceTracker com.visagetechnologies.makeupsdk.SDKProvider.CreateFaceTracker | ( |  | ) | throws Exception
| inline

Gets or creates a FaceTracker singleton instance.

Returns
  FaceTracker instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateHairToneAnalyzer()

HairToneAnalyzer com.visagetechnologies.makeupsdk.SDKProvider.CreateHairToneAnalyzer | ( |  | ) | throws Exception
| inline

Gets or creates a HairToneAnalyzer singleton instance.

Returns
  HairToneAnalyzer instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateLightConditionsAnalyzer()

LightConditionsAnalyzer com.visagetechnologies.makeupsdk.SDKProvider.CreateLightConditionsAnalyzer | ( |  | ) | throws Exception
| inline

Gets or creates a LightConditionsAnalyzer singleton instance.

Returns
  LightConditionsAnalyzer instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateMakeUpEngine() [1/2]

MakeUpEngine com.visagetechnologies.makeupsdk.SDKProvider.CreateMakeUpEngine | ( |  | ) | throws Exception
| inline

Deprecated:
  Please use `CreateMakeupEngine()` method instead.

Gets or creates a MakeUpEngine singleton instance.

Returns
  MakeUpEngine instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateMakeupEngine()

MakeupEngine com.visagetechnologies.makeupsdk.SDKProvider.CreateMakeupEngine | ( |  | ) | throws Exception
| inline

Gets or creates a MakeupEngine singleton instance.

Returns
  MakeupEngine instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateMakeUpEngine() [2/2]

MakeUpEngine com.visagetechnologies.makeupsdk.SDKProvider.CreateMakeUpEngine | ( | Activity | context | ) |
| inline

Deprecated:
  Please use `CreateMakeupEngine()` method instead.

Creates a new instance of the MakeupEngine class.

Parameters

  context | The android activity in witch the SDK will render.

Returns
  MakeupEngine instance.

## ◆ CreateSkinToneAnalyzer() [1/2]

SkinToneAnalyzer com.visagetechnologies.makeupsdk.SDKProvider.CreateSkinToneAnalyzer | ( |  | ) | throws Exception
| inline

Gets or creates a SkinToneAnalyzer singleton instance.

Returns
  SkinToneAnalyzer instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ CreateSkinToneAnalyzer() [2/2]

SkinToneAnalyzer com.visagetechnologies.makeupsdk.SDKProvider.CreateSkinToneAnalyzer | ( | Activity | context | ) |
| inline

Deprecated:
  Please use `CreateSkinToneAnalyzer()` method instead.

Creates a new instance of the skin tone analyzer.

Parameters

  context | The android activity in witch the SDK will render.

Returns
  SkinToneAnalyzer instance.

## ◆ GetFrameProvider()

FrameProvider com.visagetechnologies.makeupsdk.SDKProvider.GetFrameProvider | ( |  | ) | throws Exception
| inline

Gets the FrameProvider instance. Use this to pass frames to the makeup engine, skin tone analyzer or face tracker.

Returns
  FrameProvider instance.

Exceptions

  throws | exception if invoked before providing context to SDKProvider using call to GetProvider method.

## ◆ GetProvider() [1/4]

static SDKProvider com.visagetechnologies.makeupsdk.SDKProvider.GetProvider | ( | Map< LicenseTypeEnum, String > | licenses | ) |
| inline static

DEPRECATED Gets or creates a SDKProvider singleton instance.

Parameters

  licenses | Map between LicenseTypeEnum key and String value where key is one of SKINTONE or MAKEUP and value is path to appropriate license for type defined by key.

Returns
  SDKProvider singleton.

## ◆ GetProvider() [2/4]

static SDKProvider com.visagetechnologies.makeupsdk.SDKProvider.GetProvider | ( | Map< LicenseTypeEnum, String > | licenses,
|  | Activity | context
| ) |  |
| inline static

Gets or creates a SDKProvider singleton instance.

Parameters

  licenses | Map between LicenseTypeEnum key and String value where key is MAKEUP, SKINTONE or FACETRACK enum and corresponding value is appropriate license file path.
  context | The android activity in witch the SDK will render.*

Returns
  SDKProvider singleton with TrackingQuality set to HIGH.

## ◆ GetProvider() [3/4]

static SDKProvider com.visagetechnologies.makeupsdk.SDKProvider.GetProvider | ( | Map< LicenseTypeEnum, String > | licenses,
|  | Activity | context,
|  | TrackingQuality | trackingQuality
| ) |  |
| inline static

Gets or creates a SDKProvider singleton instance.

Parameters

  licenses | Map between LicenseTypeEnum key and String value where key is MAKEUP, SKINTONE or FACETRACK enum and corresponding value is appropriate license file path.
  context | The android activity in witch the SDK will render.*
  trackingQuality | Sets the quality of internal face tracker used by the SDK.

Returns
  SDKProvider singleton.

## ◆ GetProvider() [4/4]

static SDKProvider com.visagetechnologies.makeupsdk.SDKProvider.GetProvider | ( | String | licensePath | ) |
| inline static

DEPRECATED Gets or creates a SDKProvider singleton instance.

Parameters

  licensePath | path to makeup sdk license

Returns
  SDKProvider singleton.

## ◆ SetLightConditionsBacklightThreshold()

void com.visagetechnologies.makeupsdk.SDKProvider.SetLightConditionsBacklightThreshold | ( | float | backlightThreshold | ) |
| inline

Configures Light Conditions Analysis backlight threshold. Must be set before LightConditionsAnalyzer is created or it will have no effect. This value should be between 0 and 1. Lower threshold value means more images will satisfy the test and be classified as images without the backlight.

Parameters

  {float} | uniformityThreshold

## ◆ SetLightConditionsUniformityThreshold()

void com.visagetechnologies.makeupsdk.SDKProvider.SetLightConditionsUniformityThreshold | ( | float | uniformityThreshold | ) |
| inline

Configures Light Conditions Analysis uniformity (of the face lighting) threshold. Must be set before LightConditionsAnalyzer is created or it will have no effect. This value should be between 0 and 1. Lower threshold value means more images will satisfy the test and be classified as uniformly lit.

Parameters

  {float} | uniformityThreshold

## ◆ SetSkinToneTargetQuality()

void com.visagetechnologies.makeupsdk.SDKProvider.SetSkinToneTargetQuality | ( | SkinToneTargetQuality | skinToneTargetQuality | ) |
| inline

Configures skin tone quality. Must be set before SkinToneAnalyzer is created or it will have no effect.

MORE_SPEED: 0(default)

MORE_ACCURACY: 1

Parameters

  {SkinToneTargetQuality} | skinToneTargetQuality